Subject: Re: [Mops] Adam Roach's No Objection on charter-ietf-mops-00-01: (with COMMENT)

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Wed, 16 Oct 2019 16:14:42 +0000

On 10/15/19, 11:54 PM, "Mops on behalf of Adam Roach via Datatracker" <[email-masked] on behalf of [email-masked]> wrote:

    Adam Roach has entered the following ballot position for
    charter-ietf-mops-00-01: No Objection

    The document, along with other ballot positions, can be found here:
    https://urldefense.com/v3/__https://datatracker.ietf.org/doc/charter-ietf-mops/__;!c3kmrbLBmhXtig!7ny_KNcfzpti5LwqOjWBTgJRws7KfLKwMsLfBPr4yrOdD8lt9pXtCZI5speKe-wg$ 

    ----------------------------------------------------------------------
    COMMENT:
    ----------------------------------------------------------------------
    
    I'm balloting "No Objection," but I have some pretty substantial
    comments that I'd like to see given serious consideration before
    we send the charter out for further review.
    
    > 2/ Solicit input from network operators and users to identify operational
    > issues with media delivery in and across networks, and determine solutions or
    > workarounds to those issues.
    
    I'd like to request some clarity about the anticipated output relics of those
    determinations.  Are these to be mailing list discussions exclusively? Will
    there be RFCs produced? If not, is there a plan to publish the conclusions in
    a more discoverable location than the MOPS mailing list?
   
    This same comment applies across bullet points 2 through 5, and I think it
    needs to be treated on a bullet-by-bullet basis. In particular, some of these
    enumerated goals (e.g., the first clause of item 3) sound like they intend to
    produce the kind of support documents discussed at
    <https://urldefense.com/v3/__https://www.ietf.org/about/groups/iesg/statements/support-documents/__;!c3kmrbLBmhXtig!7ny_KNcfzpti5LwqOjWBTgJRws7KfLKwMsLfBPr4yrOdD8lt9pXtCZI5sifwGOs2$ >.
    I'd like to make sure the charter is clear about whether this working group
    expects to request publication of such support documents as part of its
    chartered work.

[GD] Adding to Leslie's reply.  I also expect that we will see presentations at meeting and I-Ds about specific issues from contributors which will get it into the datatracker. So the information won't be left lingering just on the mailing list.

    > 4/ Document operational requirements for media acquisition and delivery.
    
    The term "acquisition" seems ambiguous here. A simple reading of this
    would imply the process whereby one acquires media from its canonical
    source (e.g., rights holders); but my previous experience with the
    discussions that led to this charter give me the impression that this likely
    has more to do with physical recording devices, like videocameras. The charter
    should be clear about which of these senses of "acquisition" is meant.

This is purely a Technical acquisition not involving rights in any way.  It's a term of art as they say.

In media there are 4 technical phases that everything gets divided into:  
   1. Acquisition  2. Edit, 3. Package 4. Distribution. 

Acquisition is the technical work needed to transport from capture device(s) to where It can be edited before packaging and distribution which is the work of sending either files or streams 
to viewers.  Basically the INPUT side of the Distribution OUTPUT.   An example is a camera phone capturing and live streaming something to periscope or FB live.

As MOPS is targeted at Media, I suggest that the term acquisition is contextually defined and correct.

    > Media operational and deployment issues with specific protocols or technologies
    > (such as Applications, Transport Protocols, Routing Protocols, DNS or Sub-IP
    > Protocols) are the primary responsibility of the groups or areas responsible
    > for those protocols or technologies.
    
    The use of the word "primary" here is a bit worrisome, as it carries with it
    an implication that MOPS may serve as a secondary custodian of them. I'm
    sure that's not what's intended. I worry that this phrasing could be used
    somewhere down the road in an attempt to defend the undertaking of work
    that really should be done in a more appropriate area. I would suggest a
    revision along the lines of:
    
    "Media operational and deployment issues with specific protocols or technologies
    (such as Applications, Transport Protocols, Routing Protocols, DNS or Sub-IP
    Protocols) remain the responsibility of the groups or areas responsible
    for those protocols or technologies."

I'm good with the proposed change.   
    
    > There must be a continuing expression of interest for the Working Group to work
    > on a particular work item. If there is no longer sufficient interest in the
    > Working Group in a work item, the item may be removed from the list of Working
    > Group items.
    
    Some mention of the mechanics of how this continuing interest will be determined
    would be welcome.

-Glenn
    
    -- 
    Mops mailing list
    [email-masked]
    https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/mops__;!c3kmrbLBmhXtig!7ny_KNcfzpti5LwqOjWBTgJRws7KfLKwMsLfBPr4yrOdD8lt9pXtCZI5st61zCJ0$